## org.jfree.report.modules.misc.tablemodel
Class PrintableTableModel

    java.lang.Object
      org.jfree.report.modules.misc.tablemodel.PrintableTableModel

All Implemented Interfaces:
  javax.swing.table.TableModel

    public class PrintableTableModel

extends java.lang.Object
implements javax.swing.table.TableModel

A tablemodel that allows to override the column names. This is usefull in internationalized environments, where the tablemodel returns diffent columnnames depending on the current locale.

Author:
  LordOfCode

Constructor Summary
`PrintableTableModel(javax.swing.table.TableModel source, java.lang.String[] keys)`

Method Summary
`void` `addTableModelListener(javax.swing.event.TableModelListener l)`
`java.lang.Class` `getColumnClass(int columnIndex)`
`int` `getColumnCount()`
`java.lang.String` `getColumnName(int columnIndex)` Retrieves the internationalized column name from the string array.
`int` `getRowCount()`
`java.lang.Object` `getValueAt(int rowIndex, int columnIndex)`
`boolean` `isCellEditable(int rowIndex, int columnIndex)`
`void` `removeTableModelListener(javax.swing.event.TableModelListener l)`
`void` `setValueAt(java.lang.Object aValue, int rowIndex, int columnIndex)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrintableTableModel

    public PrintableTableModel(javax.swing.table.TableModel source,
                               java.lang.String[] keys)

Method Detail

### getColumnCount

    public int getColumnCount()

  Specified by:
    `getColumnCount` in interface `javax.swing.table.TableModel`

### getRowCount

    public int getRowCount()

  Specified by:
    `getRowCount` in interface `javax.swing.table.TableModel`

### isCellEditable

    public boolean isCellEditable(int rowIndex,
                                  int columnIndex)

  Specified by:
    `isCellEditable` in interface `javax.swing.table.TableModel`

### getColumnClass

    public java.lang.Class getColumnClass(int columnIndex)

  Specified by:
    `getColumnClass` in interface `javax.swing.table.TableModel`

### getValueAt

    public java.lang.Object getValueAt(int rowIndex,
                                       int columnIndex)

  Specified by:
    `getValueAt` in interface `javax.swing.table.TableModel`

### setValueAt

    public void setValueAt(java.lang.Object aValue,
                           int rowIndex,
                           int columnIndex)

  Specified by:
    `setValueAt` in interface `javax.swing.table.TableModel`

### getColumnName

    public java.lang.String getColumnName(int columnIndex)

  Retrieves the internationalized column name from the string array.

  Specified by:
    `getColumnName` in interface `javax.swing.table.TableModel`
  See Also:
    `TableModel.getColumnName(int)`

### addTableModelListener

    public void addTableModelListener(javax.swing.event.TableModelListener l)

  Specified by:
    `addTableModelListener` in interface `javax.swing.table.TableModel`

### removeTableModelListener

    public void removeTableModelListener(javax.swing.event.TableModelListener l)

  Specified by:
    `removeTableModelListener` in interface `javax.swing.table.TableModel`